ProyectoCrm/src/app/Modulos/LoginModulo/Paginas/fw-login/Componentes/fw-login-ingreso/fw-login-ingreso.component.html

<div class="LoginIngreso">
  <div class="form-row">
    <div class="LoginIngreso--Titulo">
      <h2 class="LoginIngreso--Titulo-Texto">Iniciar Sesión</h2>
    </div>
  </div>
  <div class="form-row">
    <div class="LoginIngreso--Usuario">
      <label class="sr-only" for="txtUsuario">Usuario</label>
      <div class="ControlInput">
        <div class="ControlInput--ContenedorIcono">
          <div class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-user"></i></div>
        </div>
        <input class="ControlInput--Input" type="text" #txtUsuario="" placeholder="Usuario" required="" id="txtUsuario"/>
      </div>
    </div>
  </div>
  <div class="form-row">
    <div class="LoginIngreso--Clave">
      <label class="sr-only" for="txtClave">Clave</label>
      <div class="ControlInput">
        <div class="ControlInput--ContenedorIcono">
          <div class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-key"></i></div>
        </div>
        <input class="ControlInput--Input" type="password" #txtClave="" placeholder="Clave" required="" (keydown.enter)="Ingresar(txtUsuario, txtClave)" id="txtClave"/>
      </div>
    </div>
  </div>
  <div class="form-row">
    <div class="LoginIngreso--Recordar">
      <div class="ControlCheckbox">
        <input id="chkRecordar" type="checkbox" name="chkRecordar"/>
        <label for="chkRecordar">Recuerdame</label>
      </div>
    </div>
  </div>
  <div class="form-row">
    <div class="LoginIngreso--Boton">
      <button class="LoginIngreso--Boton-Control" type="button" (click)="Ingresar(txtUsuario, txtClave)"><span class="icon text-white-50"><i class="fas fa-sign-in-alt"></i></span><span class="text">Ingresar</span></button>
    </div>
  </div>
  <div class="form-row">
    <div class="LoginIngreso--Recuperar">
      <button class="LoginIngreso--Recuperar-Control" type="button" (click)="Recuperar()">Recuperar Clave</button>
    </div>
  </div>
</div>

ProyectoCrm/src/app/Modulos/LoginModulo/Paginas/fw-login/Componentes/fw-login-ingreso/fw-login-ingreso.component.pug
div.LoginIngreso
  div.form-row
    div.LoginIngreso--Titulo
      h2.LoginIngreso--Titulo-Texto Iniciar Sesión
  div.form-row
    div.LoginIngreso--Usuario
      label(for="txtUsuario").sr-only Usuario
      div.ControlInput
        div.ControlInput--ContenedorIcono
          div.ControlInput--ContenedorIcono-Icono
            i.fas.fa-user
        input(type="text",
            #txtUsuario="",
            placeholder="Usuario",
            required="")#txtUsuario.ControlInput--Input
  div.form-row
    div.LoginIngreso--Clave
      label(for="txtClave").sr-only Clave
      div.ControlInput
        div.ControlInput--ContenedorIcono
          div.ControlInput--ContenedorIcono-Icono
            i.fas.fa-key
        input(type="password",
              #txtClave="",
              placeholder="Clave",
              required="",
              (keydown.enter)="Ingresar(txtUsuario, txtClave)")#txtClave.ControlInput--Input
  div.form-row
    div.LoginIngreso--Recordar
      div.ControlCheckbox
        input#chkRecordar(type="checkbox", name="chkRecordar")
        label(for="chkRecordar") Recuerdame
  div.form-row
    div.LoginIngreso--Boton
      button(type="button",
              (click)="Ingresar(txtUsuario, txtClave)").LoginIngreso--Boton-Control
        span.icon.text-white-50
          i.fas.fa-sign-in-alt
        span.text Ingresar
  div.form-row
    div.LoginIngreso--Recuperar
      button(type="button",
        (click)="Recuperar()").LoginIngreso--Recuperar-Control Recuperar Clave
